### Method

# RB Source want_uri

#### Declaration [src]

    guint
    rb_source_want_uri (
      RBSource* source,
      const char* uri
    )

#### Description [src]

Returns an indication of how much the source wants to handle the specified URI. 100 is the highest usual value, and should only be used when the URI can only be associated with this source. 0 should be used when the URI does not match the source at all.

#### Parameters

`uri`

  Type: `const char*`

  A URI for the source to consider.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

Value from 0 to 100 indicating how much the source wants this URI.